import argparse

from metadocker.cmdline.commands.base import Argument, Command
from metadocker.db.db import settings
from metadocker.db.manager import DockerManager


class UseCommand(Command):
    NAME = "use"
    HELP = "Utilise le docker"
    ARGUMENTS = [
        Argument("name", help="Le nom du docker"),
        Argument("metadocker_args", nargs=argparse.REMAINDER, help="Les argument à passer")
    ]

    def run(self):
        docker = settings.app_docker_cache.get(self.name)
        docker.main(self.metadocker_args)
