import inspect
import os
import sys
from pathlib import Path


def get_root_dir():
    return Path(sys.argv[0]).parent.resolve()


def flatten(input, out=None):
    out = out if out is not None else []
    if not isinstance(input, (list, tuple, set)):
        input = [input]
    if isinstance(out, (tuple, set)):
        out = list(out)
    for x in input:
        if isinstance(x, (list, tuple, set)):
            flatten(x, out)
        else:
            out.append(x)
    return out